

#include <gtk/gtk.h>
#include <gio/gio.h>
#include <glib/gprintf.h>

#include "socket.h"
#include "file.h"
#include "error.h"

enum {
	BUFFSIZE = 128,
};

char buff[BUFFSIZE];

int
main(int argc, char *argv[])
{
	uic_client_sock *sock;
	gint res = 0;

	g_type_init();
	

	sock = uic_client_sock_new("127.0.0.1", 6666);
	if (sock == NULL) {
		g_printf("%s\n", uic_get_error());
		uic_clear_error();
		return 1;
	}

	if ((res = uic_client_sock_send(sock, "LOLTEST\nLALALA^_^", 17)) < 0) {
		g_printf("%s\n", uic_get_error());
		uic_clear_error();
	}
	g_printf("res = %d\n", res);

	uic_client_sock_set_blocking(sock, FALSE);
	
	
	res = uic_client_sock_recive(sock, buff, sizeof(buff));

	if (res < 0) {
		g_printf("ERRNO=%d\n", uic_errnum);
		g_printf("%s\n", uic_get_error());
		uic_clear_error();
	} else
		g_printf("res = %d: %s\n", res, buff);
	

	if (uic_client_sock_close(sock) != 0) {
		g_printf("%s\n", uic_get_error());
		uic_clear_error();
		return 1;
	}

	return 0;
}

